---
title: "MPPT"
date: 2025-01-27
draft: false
description: "a description"
tags: ["MPPT", "solar"]
---
# MPPT
If the board is powered by solar, a  on board MPPT converter tries to track the best current and voltage, so that the battery gets maximized charging current.

The currently used MPPT limits max current to 2A.

There are two adjustable values for the MPPT, Input Power Point and Output Voltage.

#Setup
{{< alert >}}
Note: Only protected Batteries are supported!
{{< /alert >}}
1. Supply the Ext Charge connector with 20V and a limited current (suggested 100mA).
2. If the board does not startup, adjust the MPPT untill it supplies a output voltage. Note: The ESP should be able to startup at any settable output voltage, as it uses a converter to 3.3v anyways.
3. Adjust the Output Voltage to the correct charging voltage for your Chosen Battery.
4. Connect a sink (or the a non fully charged battery) to the Output, now adjust the MPPT so, that the Input Voltage drops to the optimal working Voltage of your Solar panel. The Converter will try to always keep the Panel at this Voltage by adjusting the Output Current accordingly.


Setting the MPPT slightly lower than the suggested Voltage will ensure more reliable operation, as the optimal voltage might drop a bit due to ageing and dust on the panel. Normally during summer there is more than enough power, so a slight inefficentcy won't be noticable. 
However during winter in low light and bad weather conditions, that might be the difference between charging at all or no power. (If the panel does not reach the MPPT voltage, there is no charging current)
